jQuery.fn.aviasales_form = function() {
	
	var form			= $(this),
		select			= form.find('.aviasales_select select'),
		checkbox		= form.find('.aviasales_checkbox input[type="checkbox"]'),
		swap			= form.find('.aviasales_swap');
	
	select.change(function () {
		var s = $(this);
		s.parent().find('span').text(s.find('option:selected').text());
	});

	checkbox.change(function () {
		$(this).parent().toggleClass('checked');
	});

	swap.click(function () {

		var origin = { value : $('#origin_name').val(), 'iata' : $('#origin_iata').val() }

		$('#origin_name').val($('#destination_name').val());
		$('#origin_iata').val($('#destination_iata').val());
		$('#origin_name').parent().find('.aviasales_selected_iata').text($('#destination_iata').val());

		$('#destination_name').val(origin.value);
		$('#destination_iata').val(origin.iata);
		$('#destination_name').parent().find('.aviasales_selected_iata').text(origin.iata);

	});

	$('#origin_name').on('autocompleteopen', function(e, ui) {
		$('.ui-autocomplete').css('top', $('#origin_name').offset().top + 45);
	});

	$('#destination_name').on('autocompleteopen', function(e, ui) {
		$('.ui-autocomplete').css('top', $('#destination_name').offset().top + 45);
	});

	form.submit(function () {
		$('#oneway').val($('#oneway').attr('checked') ? 'true' : 'false');
	});

};

$(document).ready(function() {

	var aviasales_data = $('#aviasales_data');

	ASmin.inline_form.init({
		autocomplete_class		: "aviasales_minified_autocomplete",
		action					: $('#aviasales_search').attr('action'),
		form_id					: "#aviasales_search",
		marker					: $('#marker').val(),
		fields_id				: {},
		params_attributes		: {origin: {name: $('#aviasales_city').val()}}
	});

	$('.aviasales_widget').aviasales_form();

	$(window).on("load resize",function () {
	
		var widget = $('.aviasales_widget');
		var width = $('.aviasales_widget').width();

		if (width > 840) {
			$(widget).removeClass('aviasales_widget_0 aviasales_widget_1 aviasales_widget_2').addClass('aviasales_widget_3');
			$('.aviasales_hidden').removeClass('hidden').addClass('show');
			$('.aviasales_show').removeClass('show').addClass('hidden');
		}
		else if (600 < width && width < 840) {
			$(widget).removeClass('aviasales_widget_0 aviasales_widget_1 aviasales_widget_3').addClass('aviasales_widget_2');
			$('.aviasales_hidden').removeClass('hidden').addClass('show');
			$('.aviasales_show').removeClass('show').addClass('hidden');
		}
		else if (400 < width && width < 600) {
			$(widget).removeClass('aviasales_widget_0 aviasales_widget_2 aviasales_widget_3').addClass('aviasales_widget_1');
			$('.aviasales_hidden').removeClass('show').addClass('hidden');
			$('.aviasales_show').removeClass('hidden').addClass('show');
		}
		else if (width < 400) {
			$(widget).removeClass('aviasales_widget_1 aviasales_widget_2 aviasales_widget_3').addClass('aviasales_widget_0');
			$('.aviasales_hidden').removeClass('show').addClass('hidden');
			$('.aviasales_show').removeClass('hidden').addClass('show');
		}

		$(widget).stop(true,true).animate({opacity:"1.0"},250); 

	});

});